/* 
 * time.c
 * 
 *
 * Created by Matthias Kesenheimer on 17/07/2012.
 * Copyright 2012 Matthias Kesenheimer. All rights reserved.
 *
 * Functions:
 *	ISR(TCE0_OVF_vect)
 *	uint32_t micros()
 */

uint32_t micros()
{
	return ((ms10 * 10000) + (TCE0_CNT << 1));
}

ISR(TCE0_OVF_vect)
{
	ms10 += 1;	//Mikrosekunden in Aufloesung von 10ms
}
