#ifndef __WATCHDOG_H
#define __WATCHDOG_H

#include "avr_compiler.h"

// Defines

/*! \brief Check if Synchronization busy flag is set. */
#define WDT_IsSyncBusy() ( WDT.STATUS & WDT_SYNCBUSY_bm )
#define WDT_Reset()     asm("wdr")

// Prototypes
extern void WDT_EnableAndSetTimeout( void );
extern void WDT_Disable( void );

#endif // __WATCHDOG_H
